"""Functions for getting the config used for compiling BOUT++

"""
# Created by cmake
_yesno = {"TRUE": True, "ON": True, "FALSE": False, "OFF": False}
_iyesno = {True: "yes", False: "no"}

config = {
    "cc": "/usr/lib64/openmpi/bin/mpicc",
    "cxx": "/usr/lib64/openmpi/bin/mpicxx",
    "ld": "/usr/lib64/openmpi/bin/mpicxx",
    "checks": "2",
    "cflags": "$<BUILD_INTERFACE:/builddir/build/BUILD/BOUT++-v5.0.0.dev10626+gd935fa1ea/include>;$<BUILD_INTERFACE:/builddir/build/BUILD/BOUT++-v5.0.0.dev10626+gd935fa1ea/build_openmpi/include>;$<INSTALL_INTERFACE:include>",
    "libs": "MPI::MPI_CXX;MPI::MPI_CXX;PETSc::PETSc;mpark_variant;fmt::fmt;pvode;pvpre;netCDF::netcdf-cxx4;FFTW::FFTW;/usr/lib64/libflexiblas.so;-lm;-ldl;SUNDIALS::nvecparallel;SUNDIALS::cvode;SUNDIALS::ida;SUNDIALS::arkode;dl",
    "version": "5.0.0",
    "git": "Unknown",
    "idlpath": "",
    "pythonpath": "/builddir/build/BUILD/BOUT++-v5.0.0.dev10626+gd935fa1ea/build_openmpi/tools/pylib:/builddir/build/BUILD/BOUT++-v5.0.0.dev10626+gd935fa1ea/tools/pylib",
    "has_netcdf": "ON",
    "has_legacy_netcdf": "OFF",
    "has_pnetcdf": "OFF",
    "has_pvode": "ON",
    "has_cvode": "ON",
    "has_ida": "ON",
    "has_lapack": "ON",
    "has_petsc": "ON",
    "has_slepc": "OFF",
    "has_mumps": "OFF",
    "has_arkode": "ON",
    "has_openmp": "OFF",
    "has_nls": "ON",
    "has_fftw": "ON",
    "petsc_has_sundials": "",
    "metric_type": "2D",
}


@property
def has():
    """Get a dict of the enabled features"""
    _has = {}
    for k in config:
        if k.startswith("has_"):
            _has[k[4:]] = _yesno[config[k]]
    return _has


def isMetric2D():
    """Is the metric 2D?"""
    return config["metric_type"] == "2D"


def isMetric3D():
    """Is the metric 3D?"""
    return config["metric_type"] == "3D"
